package app.sample.web;

import java.lang.management.ManagementFactory;

import javax.management.MBeanServer;
import javax.management.ObjectName;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import app.sample.mbean.SampleCounter;

public class MBeanRegisterListener implements ServletContextListener {

	SampleCounter counter = SampleCounter.getInstance();

	@Override
	public void contextInitialized(ServletContextEvent ev) {
		try {
			MBeanServer server = ManagementFactory.getPlatformMBeanServer();
			ObjectName oname = new ObjectName("sample.app:name=SampleCounter");
			if (server.isRegistered(oname)) {
				server.unregisterMBean(oname);
			}
			server.registerMBean(counter, oname);
		} catch (Exception e) {
			ev.getServletContext().log("mbean登録失敗", e);
		}
	}

	@Override
	public void contextDestroyed(ServletContextEvent ev) {

	}

}
