package app.sample.web;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import app.sample.mbean.AccessInfo;
import app.sample.mbean.SampleCounter;

public class Servlet1 extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {

		SampleCounter ctr = SampleCounter.getInstance();
		HttpSession session = req.getSession(true);
		try {
			res.setContentType("text/html; charset=UTF-8");
			res.getOutputStream().println("<html><head>");
			res.getOutputStream().println("<title>サンプルページ</title>");
			res.getOutputStream().println("</head><body>");
			res.getOutputStream().println("<br/>処理が完了しました");
			res.getOutputStream().println("<br/>SessionID=" + session.getId());
			res.getOutputStream().println("</body></html>");
			res.flushBuffer();

			ctr.success();
		} catch (Exception e) {
			ctr.failure();
			getServletContext().log("An error has occurred", e);
			throw new ServletException(e);
		} finally {
			ctr.setLastAccessInfo(new AccessInfo(System.currentTimeMillis(), session.getId()));
		}
	}

}
