package app.sample.format;

import java.util.Date;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;

public class ThreadRunner implements Runnable {

	static ExecutorService service;
	static int threads = 10;
	static int loop = 1000000 / threads;

	public static void main(String[] args) {

		service = Executors.newFixedThreadPool(threads);
		Future<?>[] f = new Future<?>[threads];

		long start = System.nanoTime();

		for (int i = 0; i < threads; i++) {
			f[i] = service.submit(new ThreadRunner());
		}
		for (int i = 0; i < threads; i++) {
			try {
				f[i].get();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		System.out.println("elapsed=" + (System.nanoTime() - start) / 1000000.0 + "ms");

		service.shutdown();
	}

	@Override
	public void run() {
		Date date = new Date();
		for (int i = 0; i < loop; i++) {
			DateUtil1.format(date);
		}
	}



}
